Tp::Service::ConnectionInterfaceClientTypesAdaptor Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Slots | Signals | List of all members
Tp::Service::ConnectionInterfaceClientTypesAdaptor Class Reference
Connection service implementation

`#include <TelepathyQt/_gen/svc-connection.h>`

Inherits Tp::AbstractAdaptor.

## Public Slots
Tp::ContactClientTypes | GetClientTypes (const Tp::UIntList &contacts, const QDBusMessage &dbusMessage)
QStringList | RequestClientTypes (uint contact, const QDBusMessage &dbusMessage)

## Signals
void | ClientTypesUpdated (uint contact, const QStringList &clientTypes)

## Additional Inherited Members
Public Member Functions inherited from Tp::AbstractAdaptor
| AbstractAdaptor (const QDBusConnection &connection, QObject *adaptee, QObject *parent)
| ~AbstractAdaptor ()
QDBusConnection | dbusConnection () const
QObject * | adaptee () const

## Detailed Description

Adaptor class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Connection.Interface.ClientTypes".

## Member Function Documentation

Tp::ContactClientTypes Tp::Service::ConnectionInterfaceClientTypesAdaptor::GetClientTypes | ( | const Tp::UIntList & | contacts,
|  | const QDBusMessage & | dbusMessage
| ) |  |
| slot

Begins a call to the exported D-Bus method `GetClientTypes` on this object.

Adaptees should export this method as a Qt slot with the following signature: void getClientTypes(const Tp::UIntList& contacts, const Tp::Service::ConnectionInterfaceClientTypesAdaptor::GetClientTypesContextPtr &context);

Implementations should call MethodInvocationContext::setFinished (or setFinishedWithError accordingly) on the received context object once the method has finished processing.

Return the client types of the given contacts, if they are already known. If any of the given contacts' client types are not known, request their current client types, but return immediately without waiting for a reply; if a reply with a non-empty client type array is later received for those contacts, the ClientTypesUpdated signal will be emitted for them. This method is appropriate for "lazy" client type finding, for instance displaying the client types (if available) of everyone in your contact list.

Parameters

  contacts |
      The contacts whose client types should be returned or signalled.

Returns

      The contacts&apos; client types, if already known. Contacts whose
      client types are not already known are omitted from the mapping;
      contacts known to have no client type information appear in the
      mapping with an empty list.

QStringList Tp::Service::ConnectionInterfaceClientTypesAdaptor::RequestClientTypes | ( | uint | contact,
|  | const QDBusMessage & | dbusMessage
| ) |  |
| slot

Begins a call to the exported D-Bus method `RequestClientTypes` on this object.

Adaptees should export this method as a Qt slot with the following signature: void requestClientTypes(uint contact, const Tp::Service::ConnectionInterfaceClientTypesAdaptor::RequestClientTypesContextPtr &context);

Implementations should call MethodInvocationContext::setFinished (or setFinishedWithError accordingly) on the received context object once the method has finished processing.

Return the current client types of the given contact. If necessary, make a request to the server for up-to-date information, and wait for a reply. This method is appropriate for use in a "Contact Information..." dialog; it can be used to show progress information (while waiting for the method to return), and can distinguish between various error conditions.

Parameters

  contact |
      The contact whose client types should be returned.

Returns

      The contact&apos;s client types. It MAY be empty, indicating that
      no client type information was found.

void Tp::Service::ConnectionInterfaceClientTypesAdaptor::ClientTypesUpdated | ( | uint | contact,
|  | const QStringList & | clientTypes
| ) |  |
| signal

Represents the exported D-Bus signal `ClientTypesUpdated` on this object.

Adaptees should export this signal as a Qt signal with the following signature: void clientTypesUpdated(uint contact, const QStringList& clientTypes);

The adaptee signal will be automatically relayed as a D-Bus signal once emitted.

Parameters

  contact |
      The contact.
  clientTypes |
      The contact&apos;s client types, or an empty list to indicate that
      nothing is known about the contact&apos;s client types.